<li class="main-nav__item" role="menuitem" :class="{ 'main-nav__item--active': active }"
    @mouseleave="delayHideFlyout" @mouseenter="showFlyout">

    <div @keydown.down.prevent="selectFlyoutFirstLink"
         @keydown.tab.shift.exact="hideFlyout"
         @keydown.esc.prevent="hideFlyout">
        <app-link :to="href"
                     ref="parent"
                     class="main-nav__link"
                     @focus="showFlyout"
                     @click.native="hideFlyout"
                     aria-haspopup="true"
                     :aria-controls="itemId"
                     :aria-current="isActive"
                     :aria-expanded="!isCompact && flyoutIsOpen">
            {{ title }}
        </app-link>
    </div>

    <icon-button class="icon-button--small main-nav__toggle disable-focus"
                 :icon-name="angleDirection"
                 v-show="toggleIsVisible"
                 @click="toggleFlyout" tabindex="-1">
    </icon-button>


    <transition :name="flyoutTransitionName">
        <flyout :id="itemId" v-if="sections" ref="flyout"
                @keydown.esc.native="selectParent"
                @open="showFlyout"
                @close="hideFlyout"
                @main="selectParent"
                class="flyout--large"
                v-show="isCompact || flyoutIsOpen"
                :sections="sections"
                :is-compact="isCompact">
        </flyout>
    </transition>
</li>
